n=4;%阶次
p=2^n-1;%循环周期
ms=idinput(p,'prbs');
ms=((ms+1)/2)';
sc=[ones(1,4) zeros(1,5) ones(1,6)];
subplot(1,3,1)
stem(sc)
title('信码')
subplot(1,3,2)
rm=mod(ms+sc,2)
stem(rm)
title('加扰')
%c=xcorr(ms,'coeff');%自相关函数
dm=mod(rm+ms,2)
subplot(1,3,3)
stem(dm)
title('解扰')